get_archive <- function(recipe) {
  if (tolower(recipe$Analysis$Horizon) == "seasonal") {
    archive <- 
      read_yaml(paste0("conf/archive.yml"))[[recipe$Run$filesystem]]
  } else if (tolower(recipe$Analysis$Horizon) == "subseasonal") {
    archive <-
      read_yaml(paste0("conf/archive_subseasonal.yml"))[[recipe$Run$filesystem]]
  } else {
    archive <- 
      read_yaml(paste0("conf/archive_decadal.yml"))[[recipe$Run$filesystem]]
  }
  ## TODO: Add dictionary filesystem dependency?
  # dict <- read_yaml("conf/variable-dictionary.yml")
  return(archive)
}
